## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global rdnn    com.raggesilver.BlackBox

%global commit      7df8c0e211467ae31f9ef1377db773c771f0370b
%global shortcommit %{sub %{commit} 1 7}

Name:           blackbox-terminal
Version:        0.15.0~^1.%{shortcommit}
Release:        %autorelease
Summary:        Elegant and customizable terminal for GNOME
# Entire source code is GPL-3.0-or-later except src/utils/Terminal.vala which
# is GPL-3.0-or-later AND (MIT OR Apache-2.0) AND MPL-2.0.
License:        GPL-3.0-or-later AND (MIT OR Apache-2.0) AND MPL-2.0
URL:            https://gitlab.gnome.org/raggesilver/blackbox
Source:         %{url}/-/archive/%{commit}/blackbox-%{shortcommit}.tar.gz
# https://gitlab.gnome.org/raggesilver/blackbox/-/merge_requests/122
Patch:          0001-Rename-executable-to-blackbox-terminal.patch
# https://gitlab.gnome.org/raggesilver/blackbox/-/merge_requests/126
Patch:          0002-Remove-duplicate-icons.patch

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  vala
BuildRequires:  gettext
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(pqmarble)
BuildRequires:  pkgconfig(vte-2.91-gtk4)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(graphene-gobject-1.0)
# for desktop-file-validate command
BuildRequires:  desktop-file-utils
# for appstream-util command
BuildRequires:  libappstream-glib

Requires:       hicolor-icon-theme


%description
Black Box is an elegant and customizable terminal for GNOME.


%prep
%autosetup -n blackbox-%{commit} -p 1


%build
%meson -Dblackbox_is_flatpak=%{?flatpak:true}%{!?flatpak:false}
%meson_build


%install
%meson_install
%find_lang blackbox


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{rdnn}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{rdnn}.metainfo.xml


%files -f blackbox.lang
%license COPYING
%doc README.md CHANGELOG.md
%{_bindir}/blackbox-terminal
%if %{defined flatpak}
%{_bindir}/terminal-toolbox
%endif
%{_datadir}/applications/%{rdnn}.desktop
%{_datadir}/blackbox
%{_datadir}/glib-2.0/schemas/%{rdnn}.gschema.xml
%{_datadir}/icons/hicolor/scalable/actions/%{rdnn}-fullscreen-symbolic.svg
%{_datadir}/icons/hicolor/scalable/actions/%{rdnn}-show-headerbar-symbolic.svg
%{_datadir}/icons/hicolor/scalable/actions/external-link-symbolic.svg
%{_datadir}/icons/hicolor/scalable/actions/settings-symbolic.svg
%{_datadir}/icons/hicolor/scalable/apps/%{rdnn}.svg
%{_metainfodir}/%{rdnn}.metainfo.xml


%changelog
## START: Generated by rpmautospec
* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0~^1.7df8c0e-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 14 2024 Carl George <carlwgeorge@fedoraproject.org> - 0.15.0~^1.7df8c0e-1
- Update to latest upstream snapshot

* Thu Apr 25 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 0.14.0-6
- Fix build with GCC 14

* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Aug 16 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 0.14.0-3
- Fix flatpak build

* Tue Aug 08 2023 Carl George <carl@george.computer> - 0.14.0-2
- Rebuild

* Tue Aug 08 2023 Carl George <carl@george.computer> - 0.14.0-1
- Initial package, resolves rhbz#2224163
## END: Generated by rpmautospec
